Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.core.xms
Class SupplyingTaskRuntimeData

    java.lang.Object
      lbg.peer.core.xms.TaskRuntimeData
          lbg.peer.core.xms.SupplyingTaskRuntimeData

All Implemented Interfaces:
  java.lang.Comparable<TaskRuntimeData>

    public class SupplyingTaskRuntimeData

extends TaskRuntimeData

Author:
  Cyril Briquet

Constructor Summary
`SupplyingTaskRuntimeData(Task t, long time_out, ExternalPeerHandle peer_handle, java.lang.String supplier_id, boolean do_cancel)`

Method Summary
`int` | `compareTo(TaskRuntimeData other)`
`boolean` | `equals(java.lang.Object obj)`
`ExternalPeerHandle` | `getPeerHandle()`
`long` | `getStartTime()`
`java.lang.String` | `getSupplierID()`
`Task` | `getTask()`
`long` | `getTimeOut()`
`boolean` | `getTimeOutActionTag()`
`int` | `hashCode()`
`boolean` | `isTimeOutActionTagModified()`
`void` | `setTimeOut(long time_out)`
`void` | `setTimeOutActionTag(boolean do_cancel)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SupplyingTaskRuntimeData

    public SupplyingTaskRuntimeData(Task t,
                                    long time_out,
                                    ExternalPeerHandle peer_handle,
                                    java.lang.String supplier_id,
                                    boolean do_cancel)
                             throws GridException

Throws:
  `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in class `TaskRuntimeData`

### compareTo

    public int compareTo(TaskRuntimeData other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<TaskRuntimeData>`
  Specified by:
    `compareTo` in class `TaskRuntimeData`

### equals

    public boolean equals(java.lang.Object obj)

  Specified by:
    `equals` in class `TaskRuntimeData`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `TaskRuntimeData`

### getTask

    public Task getTask()

  Specified by:
    `getTask` in class `TaskRuntimeData`

### getStartTime

    public long getStartTime()

  Specified by:
    `getStartTime` in class `TaskRuntimeData`

### getTimeOut

    public long getTimeOut()

  Specified by:
    `getTimeOut` in class `TaskRuntimeData`

### setTimeOut

    public void setTimeOut(long time_out)
                    throws GridException

  Specified by:
    `setTimeOut` in class `TaskRuntimeData`
  Throws:
    `GridException`

### getPeerHandle

    public ExternalPeerHandle getPeerHandle()

  Specified by:
    `getPeerHandle` in class `TaskRuntimeData`

### getSupplierID

    public java.lang.String getSupplierID()

  Specified by:
    `getSupplierID` in class `TaskRuntimeData`

### getTimeOutActionTag

    public boolean getTimeOutActionTag()

  Specified by:
    `getTimeOutActionTag` in class `TaskRuntimeData`

### setTimeOutActionTag

    public void setTimeOutActionTag(boolean do_cancel)

  Specified by:
    `setTimeOutActionTag` in class `TaskRuntimeData`

### isTimeOutActionTagModified

    public boolean isTimeOutActionTagModified()

  Specified by:
    `isTimeOutActionTagModified` in class `TaskRuntimeData`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.